Skip to main content
POST
/
discount-codes
/
fixed
Create Fixed Value Discount Code
curl --request POST \
  --url https://api.nuwebgroup.com/v1/discount-codes/fixed \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "code": "FIXED10",
  "amount": 1000,
  "maxUsesPerOrder": 2,
  "currencyId": 1,
  "maxUsesPerCustomer": 1,
  "minimumSpend": 1000,
  "saleItems": [
    1,
    2
  ],
  "maximumUses": 100,
  "validFrom": "2021-01-01",
  "validTo": "2021-02-01"
}
'
{
  "data": {
    "type": "discountCodes",
    "id": 1,
    "attributes": {
      "type": "fixed",
      "code": "FIXED10",
      "amount": 1000,
      "applyToNetPrice": false,
      "maxUsesPerOrder": 2,
      "maximumUses": 100,
      "maxUsesPerCustomer": 2,
      "minimumSpend": 1000,
      "validFrom": "2021-11-22T00:00:00.000000Z",
      "validTo": "2021-11-25T00:00:00.000000Z",
      "boxOfficeOnly": false,
      "disabledAt": null,
      "createdAt": "2021-11-22T00:00:00.000000Z",
      "updatedAt": "2021-11-22T00:00:00.000000Z"
    },
    "relationships": {
      "currencies": {
        "data": {
          "type": "currencies",
          "id": 1
        }
      },
      "saleItems": {
        "data": [
          {
            "type": "saleItems",
            "id": 1
          },
          {
            "type": "saleItems",
            "id": 2
          }
        ]
      }
    },
    "links": {
      "self": "http://api.willms.com/v1/discount-codes?id=1"
    }
  },
  "included": [
    {
      "type": "currencies",
      "id": 1,
      "attributes": {
        "name": "Pounds",
        "code": "GBP",
        "symbol": "Β£",
        "subunit": 2,
        "isCashless": false,
        "isCustom": false,
        "isPrimary": true
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.nuwebgroup.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The 'Bearer' token can be obtained from the token management interface or via the login endpoint using your admin user credentials.

Headers

X-NU-COMPANY-ID
integer

The ID of the company this operation should be performed against.

Accept-Language
string

Sets the preferred language for localised response content (e.g. en, fr, de). If the requested language is not supported by the company, the company fallback language will be assumed.

Body

application/json

Request body for creating a fixed discount code.

code
string
amount
integer

The amount of the discount. For fixed discounts, this is the amount in the currency's minor unit, e.g., 200 = Β£2.00.

applyToNetPrice
boolean
maxUsesPerOrder
integer
currencyId
integer
maxUsesPerCustomer
integer
minimumSpend
integer
saleItems
integer[]

An array of sale item ID's.

maximumUses
integer
validFrom
string
validTo
string

Response

Successfully created the fixed discount code.

data
object
included
object[]